Package org.opensaml.xmlsec.signature.support

# Interface SignaturePrevalidator

All Known Implementing Classes:
  `ChainingSignaturePrevalidator`, `SAMLSignatureProfileValidator`

public interface SignaturePrevalidator
An interface for components which perform some pre-validation processing on an XML `Signature` instance, for example to validate that the signature confirms to a particular profile of XML Signature.

Note that implementations of this interface are NOT used to perform the actual cryptographic validation of the signature against key material. For that see `SignatureValidator`.

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(Signature signature)`
Validate the signature according to the requirements represented by the validator.

## Method Details

### validate

void validate(@Nonnull Signature signature) throws SignatureException
Validate the signature according to the requirements represented by the validator.

Parameters:
  `signature` - the signature to evaluate
Throws:
  `SignatureException` - if the signature does not meet the validator's requirements